#include <stdio.h>
#define HEIGHT 16
#define WIDTH 64
#define ROMSIZE 32768
#define ROWS (int)ROMSIZE/(WIDTH*HEIGHT)
#define OFFSET 0
// Offset allows for tuning of byte offset for alignment purposes
// by Gough Lui (goughlui.com April 2016)

int main (void) {
 int tempcount=0;
 int base=0;
 int row=0;
 int romdata[ROMSIZE]={0};
 int mask=0x80;
 while (tempcount<ROMSIZE) {
   romdata[tempcount]=getchar();
   tempcount = tempcount+1;
 }
 tempcount=0;
 while(row<ROWS) {
   while(base<HEIGHT) {
     while(tempcount<WIDTH) {
        while(mask) {
          if(romdata[(base+(tempcount*HEIGHT)+(row*WIDTH*HEIGHT)+OFFSET)%ROMSIZE]&mask) {
            printf("%c",0xFF);
          } else {
            printf("%c",0x00);
          }
          mask=mask>>1;
        }
        tempcount=tempcount+1;
        mask=0x80;
     }
     tempcount=0;
     base=base+1;
   }
   base=0;
   row=row+1;
 }
 return(0);
}